
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _MOOF_EVENT_HH_
#define _MOOF_EVENT_HH_

/**
 * \file event.hh
 * Defines an event object.
 */
	
#include <SDL/SDL.h>


namespace moof {


/**
 * The event handling in SDL is so big that it would take more time than
 * it's worth to add an object-oriented abstraction layer that would
 * completely cover what SDL has already layed down.  Fortunately, SDL
 * event structures are easy to work with, and it is not the purpose of
 * this library to completely hide its dependencies or provide complete
 * abstractions.
 */
typedef SDL_Event event;


} // namespace moof

#endif // _MOOF_EVENT_HH_

